private.h File Reference

Declaration of ccRTP internal stuff. More...

`#include <commoncpp/config.h>`
`#include <commoncpp/thread.h>`
`#include <commoncpp/socket.h>`
`#include <commoncpp/udp.h>`
`#include <commoncpp/process.h>`
`#include <commoncpp/export.h>`
`#include <ccrtp-config.h>`

Go to the source code of this file.

## Macros

#define | I(e) /* empty */
#define | DL(e) /* empty */
#define | VDL(e) /* empty */

## Functions

uint32 | random32 ()
uint16 | random16 ()

## Variables

NAMESPACE_COMMONCPP const uint32 | NTP_EPOCH_OFFSET = static_cast<uint32>(2208992400ul)

## Detailed Description

Declaration of ccRTP internal stuff.

This header includes the autogenerated config.h, the general header (rtp.h) and the nana assertion checking library headers. It also defines common macros and constants.

## Macro Definition Documentation

#define DL | ( |  | e | ) | /* empty */

#define I | ( |  | e | ) | /* empty */

#define VDL | ( |  | e | ) | /* empty */

## Function Documentation

uint16 random16 | ( |  | ) |

uint32 random32 | ( |  | ) |

## Variable Documentation

NAMESPACE_COMMONCPP const uint32 NTP_EPOCH_OFFSET = static_cast<uint32>(2208992400ul)